### Function

# Gimp value_take_uint8_array

#### Declaration [src]

    void
    gimp_value_take_uint8_array (
      GValue* value,
      guint8* data,
      gsize length
    )

#### Description [src]

Sets the contents of `value` to `data`, and takes ownership of `data`.

#### Parameters

`value` | `GValue`
| A valid value of type `GIMP_TYPE_UINT8_ARRAY`.
| The data is owned by the caller of the function.
`data` | An array of `guint8`
| A #guint8 array.
| The length of the array is specified in the `length` argument.
| The called function takes ownership of the data, and is responsible for freeing it.
`length` | `gsize`
| The number of elements in `data`.